Spiff Object API

GET getAllObjects

GET /{company_id}/objects

Operation ID: getAllObjects.

Returns a list of all Spiff objects.

Parameters

  • subdomain (path, string, required)

    The subdomain for your Spiff environment.

    • If you're in the US, use us1.
    • If you're in the EU, use eu1.

    Example

    us1
  • company_id (path, string (guid), required) Your company's UUID in Spiff, which you can find at Admin » Settings » Company Settings » Company Identifiers.

    Example

    e3804275-aba4-4581-ac23-5b195b1a5f52
  • signature (header, string, required) HMAC-SHA256 cryptographic hash of the current time, the request body, and a secret key for your company. The signature format is t={timestamp},v1={digest}, where {timestamp} is a UTC epoch timestamp and {digest} is a string representation of the HMAC-SHA256 digest. See Get Started with Salesforce Spiff Import API and Object API.
    Example: t=1750092638,v1=d79efcece486e8de2f0384b9b07f2af6cd5859685489f6c1fd71be.

Responses

  • 200 The request was successful. The response includes a list of objects and fields.

    Media type: application/json. Schema: object.

    • objects (array of Object)

    Example

    {
      "objects": [
        {
          "id": "0a5de148-4864-41f3-bd59-03ee50435e14",
          "label": "User",
          "label_plural": "Users",
          "record_type": "user",
          "source": "manual",
          "fields": [
            {
              "name": "email",
              "data_type": "string"
            }
          ]
        }
      ]
    }
  • 400

    The request was unsuccessful for one of these reasons:

    • Your endpoint URL is invalid.
    • Your import format is invalid.
    • Your import format doesn't match your connector fields.
  • 401 The request was unsuccessful because the HMAC-SHA256 signature is invalid.
  • 404 The request was unsuccessful because we couldn't find a match for the company_id.